petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatCreateLaplacian

Create the matrix Laplacian, with all values in the matrix less than the tolerance set to zero

### Synopsis

    #include <petscmat.h>
    PetscErrorCode MatCreateLaplacian(Mat A, PetscReal tol, PetscBool weighted, Mat *L)

### Input Parameters

| A | - The matrix Many br
| tol | - The zero tolerance Many br
| weighted | - Flag for using edge weights Many br

### Output Parameters

L -The graph Laplacian matrix Many br

Many br

### See Also

MatChop()

Level:intermediate
Location:src/mat/order/spectral.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages